HaruDoc::setPageLayout
HaruDoc::setPagesConfiguration
HaruDoc
PHP Manual

# HaruDoc::setPageMode

(PECL haru >= 0.0.1)

HaruDoc::setPageMode — Set how the document should be displayed

### Description

bool HaruDoc::setPageMode ( int `$mode` )

Defines how the document should be displayed.

### Parameters

`mode`

  The following values are accepted:

  - `HaruDoc::PAGE_MODE_USE_NONE` - display the document with neither outline nor thumbnail.
  - `HaruDoc::PAGE_MODE_USE_OUTLINE` - display the document with outline pane.
  - `HaruDoc::PAGE_MODE_USE_THUMBS` - display the document with thumbnail pane.
  - `HaruDoc::PAGE_MODE_FULL_SCREEN` - display the document with full screen mode.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::getPageMode() - Get current page mode

HaruDoc::setPageLayout
HaruDoc::setPagesConfiguration
HaruDoc
PHP Manual